#!/usr/bin/env python

func_arg_list = [[2, 0], [1, 0], [3, 1], [1, 1], [4, 0], [0, 1], [0, 1], [0, 1], [3, 0], [3, 0], [2, 0], [1, 0], [1, 0], [4, 0], [3, 0], [5, 0], [2, 0], [2, 0], [2, 0], [3, 0], [0, 0], [2, 2]]

cvt_dict = {
    'vbase_shoot_max' 	: 0,   #-27
    'vbase-shoot' 		: 1,   #-16
    'vheight' 			: 2,   #1117
    'vheight_shoot' 	: 3,   #1144
    'vheight_shoot_max' : 4,   #1489
    'vheight_b' : 5,   #1556
    'cvt_6' : 6,   #134
    'cvt_7' : 7,   #161
    'cvt_8' : 8,   #211
    'cvt_9' : 9,   #209
    'cvt_10' : 10,   #199
    'estemt'            : 11,   #156
    'cvt_12' : 12,   #184
    'estemw'            : 13,   #187
    'cvt_14' : 14,   #151
    'estemt_num'        : 15,   #171
    'ecstemw'           : 16,   #192
    'ecstemwc'          : 17,   #206
    'ecstemt'           : 18,   #175
    'ecstemtc'          : 19,   #171
    'estemwc'           : 20,   #194
    'estemtc'           : 21,   #162
    'estemtc_max'       : 22,   #179
    'tstemw'            : 23,   #189
    'tstemwc'           : 24,   #182
    'tstemt'            : 25,   #178
    'tstemtc'           : 26,   #178
    }

pseudo_fpgm = """
                           #--- PUSHB_1   0         ;PUSH Bytes
FDEF            0          ;Function DEFinition
                           #--- PUSHB_1   0         ;PUSH Bytes
SZP0            0          ;Set Zone Pointer 0
MPPEM                      ;Measure Pixels Per EM
                           #--- PUSHB_1   42        ;PUSH Bytes
LT              42 &_MPPEM_1 ; Less Than
IF              &_LT_1     ;   IF test
                           #--- PUSHB_1   74        ;PUSH Bytes
SROUND          74         ;Super ROUND
EIF                        ;    End IF
                           #--- PUSHB_1   0         ;PUSH Bytes
SWAP            0 &_arg_1  ;SWAP the top two elements on the stack
MIAP[rnd]       &_SWAP_1 &_SWAP_2 ;Move Indirect Absolute Point
RTG                        ;Round To Grid
                           #--- PUSHB_1   6         ;PUSH Bytes
CALL            6          ;CALL function
IF              &_f6_retval_1 ;   IF test
RTDG                       ;Round To Double Grid
EIF                        ;    End IF
MPPEM                      ;Measure Pixels Per EM
                           #--- PUSHB_1   42        ;PUSH Bytes
LT              42 &_MPPEM_1 ; Less Than
IF              &_LT_1     ;   IF test
RDTG                       ;Round Down To Grid
EIF                        ;    End IF
DUP             &_arg_2    ;DUPlicate top stack element
MDRP[rp0,rnd,grey] &_DUP_1    ;Move Direct Relative Point
                           #--- PUSHB_1   1         ;PUSH Bytes
SZP0            1          ;Set Zone Pointer 0
MDAP[no-rnd]    &_DUP_2    ;Move Direct Absolute Point
RTG                        ;Round To Grid
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   1         ;PUSH Bytes
FDEF            1          ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;Move Direct Relative Point
                           #--- PUSHB_1   12        ;PUSH Bytes
CALL            12 &_DUP_2 ;CALL function
ENDF                       ;END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   2         ;PUSH Bytes
FDEF            2          ;Function DEFinition
MPPEM                      ;Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;Greater Than
IF              &_GT_1     ;   IF test
RCVT            &_arg_2    ;Read Control Value Table entry
SWAP            &_RCVT_1 &_arg_3 ;SWAP the top two elements on the stack
EIF                        ;    End IF
POP             &_SWAP_1   ;POP top stack element
ENDF                       ;END Function definition
#ARG_COUNT=3:
#RET_COUNT=1: &_SWAP_2
#------------------

                           #--- PUSHB_1   3         ;PUSH Bytes
FDEF            3          ;Function DEFinition
ROUND[Black]    &_arg_1    ;ROUND value
RTG                        ;Round To Grid
DUP             &_ROUND_1  ;DUPlicate top stack element
                           #--- PUSHB_1   64        ;PUSH Bytes
LT              64 &_DUP_1 ; Less Than
IF              &_LT_1     ;   IF test
POP             &_DUP_2    ;POP top stack element
                           #--- PUSHB_1   64        ;PUSH Bytes
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=1:
#RET_COUNT=1: 64
#------------------

                           #--- PUSHB_1   4         ;PUSH Bytes
FDEF            4          ;Function DEFinition
                           #--- PUSHB_1   6         ;PUSH Bytes
CALL            6          ;CALL function
IF              &_f6_retval_1 ;   IF test
POP             &_arg_1    ;POP top stack element
SWAP            &_arg_2 &_arg_3 ;SWAP the top two elements on the stack
POP             &_SWAP_1   ;POP top stack element
ROFF                       ; Round OFF
IF              &_SWAP_2   ;   IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;Move Direct Relative Point
ELSE                       ;ELSE clause
MDRP[min,rnd,black] &_arg_4    ;Move Direct Relative Point
EIF                        ;    End IF
ELSE                       ;ELSE clause
MPPEM                      ;Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;Greater Than
IF              &_GT_1     ;   IF test
IF              &_arg_2    ;   IF test
MIRP[rp0,min,rnd,black] &_arg_3 &_arg_4 ;Move Indirect Relative Point
ELSE                       ;ELSE clause
MIRP[min,rnd,black] &_arg_3 &_arg_4 ;Move Indirect Relative Point
EIF                        ;    End IF
ELSE                       ;ELSE clause
SWAP            &_arg_2 &_arg_3 ;SWAP the top two elements on the stack
POP             &_SWAP_1   ;POP top stack element
                           #--- PUSHB_1   5         ;PUSH Bytes
CALL            5          ;CALL function
IF              &_f5_retval_1 ;   IF test
                           #--- PUSHB_1   70        ;PUSH Bytes
SROUND          70         ;Super ROUND
EIF                        ;    End IF
IF              &_SWAP_2   ;   IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;Move Direct Relative Point
ELSE                       ;ELSE clause
MDRP[min,rnd,black] &_arg_4    ;Move Direct Relative Point
EIF                        ;    End IF
EIF                        ;    End IF
EIF                        ;    End IF
RTG                        ;Round To Grid
ENDF                       ;END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   5         ;PUSH Bytes
FDEF            5          ;Function DEFinition
GFV                        ;Get Freedom Vector
NOT             &_GFV_1    ;logical NOT
AND             &_NOT_1 &_GFV_2 ;logical AND
ENDF                       ;END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_AND_1
#------------------

                           #--- PUSHB_1   6         ;PUSH Bytes
FDEF            6          ;Function DEFinition
                           #--- PUSHB_2   34 1      ;PUSH Bytes
GETINFO         1          ;GET INFOrmation
LT              &_GETINFO_1 34 ; Less Than
IF              &_LT_1     ;   IF test
                           #--- PUSHB_1   32        ;PUSH Bytes
GETINFO         32         ;GET INFOrmation
NOT             &_GETINFO_1 ;logical NOT
NOT             &_NOT_1    ;logical NOT
ELSE                       ;ELSE clause
                           #--- PUSHB_1   0         ;PUSH Bytes
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#------------------

                           #--- PUSHB_1   7         ;PUSH Bytes
FDEF            7          ;Function DEFinition
                           #--- PUSHB_2   36 1      ;PUSH Bytes
GETINFO         1          ;GET INFOrmation
LT              &_GETINFO_1 36 ; Less Than
IF              &_LT_1     ;   IF test
                           #--- PUSHB_1   64        ;PUSH Bytes
GETINFO         64         ;GET INFOrmation
NOT             &_GETINFO_1 ;logical NOT
NOT             &_NOT_1    ;logical NOT
ELSE                       ;ELSE clause
                           #--- PUSHB_1   0         ;PUSH Bytes
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#------------------

                           #--- PUSHB_1   8         ;PUSH Bytes
FDEF            8          ;Function DEFinition
SRP2            &_arg_1    ;Set Reference Point 2
SRP1            &_arg_2    ;Set Reference Point 1
DUP             &_arg_3    ;DUPlicate top stack element
IP              &_DUP_1    ;Interpolate Point
MDAP[rnd]       &_DUP_2    ;Move Direct Absolute Point
ENDF                       ;END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   9         ;PUSH Bytes
FDEF            9          ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
RDTG                       ;Round Down To Grid
                           #--- PUSHB_1   6         ;PUSH Bytes
CALL            6          ;CALL function
IF              &_f6_retval_1 ;   IF test
MDRP[rnd,grey]  &_DUP_1    ;Move Direct Relative Point
ELSE                       ;ELSE clause
MDRP[min,rnd,black] &_DUP_2    ;Move Direct Relative Point
EIF                        ;    End IF
DUP             &_DUP_2    ;DUPlicate top stack element
                           #--- PUSHB_1   3         ;PUSH Bytes
CINDEX          3          ;Copy the INDEXed element to the top of the stack
MD[grid]        &_CINDEX_1 &_DUP_1 ;Measure Distance
SWAP            &_MD_1 &_DUP_2 ;SWAP the top two elements on the stack
DUP             &_SWAP_1   ;DUPlicate top stack element
                           #--- PUSHB_1   4         ;PUSH Bytes
MINDEX          4          ;Move the INDEXed element to the top of the stack
MD[orig]        &_DUP_1 &_DUP_2 ;Measure Distance
                           #--- PUSHB_1   0         ;PUSH Bytes
LT              0 &_MD_1   ; Less Than
IF              &_LT_1     ;   IF test
ROLL            &_SWAP_2 &_arg_2 &_arg_3 ;ROLL the top three stack elements
NEG             &_ROLL_1   ;    NEGate
ROLL            &_NEG_1 &_ROLL_2 &_ROLL_3 ;ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;  SUBtract
DUP             &_SUB_1    ;DUPlicate top stack element
                           #--- PUSHB_1   0         ;PUSH Bytes
LT              0 &_DUP_1  ; Less Than
IF              &_LT_1     ;   IF test
SHPIX           &_DUP_2 &_ROLL_3 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_4    ;POP top stack element
POP             &_arg_5    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
ROLL            &_arg_2 &_arg_3 &_arg_4 ;ROLL the top three stack elements
ROLL            &_ROLL_1 &_ROLL_2 &_ROLL_3 ;ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;  SUBtract
DUP             &_SUB_1    ;DUPlicate top stack element
                           #--- PUSHB_1   0         ;PUSH Bytes
GT              0 &_DUP_1  ;Greater Than
IF              &_GT_1     ;   IF test
SHPIX           &_DUP_2 &_ROLL_3 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_5    ;POP top stack element
POP             &_arg_6    ;POP top stack element
EIF                        ;    End IF
EIF                        ;    End IF
RTG                        ;Round To Grid
ENDF                       ;END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   10        ;PUSH Bytes
FDEF            10         ;Function DEFinition
                           #--- PUSHB_1   6         ;PUSH Bytes
CALL            6          ;CALL function
IF              &_f6_retval_1 ;   IF test
POP             &_arg_1    ;POP top stack element
SRP0            &_arg_2    ;Set Reference Point 0
ELSE                       ;ELSE clause
SRP0            &_arg_1    ;Set Reference Point 0
POP             &_arg_2    ;POP top stack element
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   11        ;PUSH Bytes
FDEF            11         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;Move Direct Relative Point
                           #--- PUSHB_1   12        ;PUSH Bytes
CALL            12 &_DUP_2 ;CALL function
ENDF                       ;END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   12        ;PUSH Bytes
FDEF            12         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;Move Direct Absolute Point
                           #--- PUSHB_1   7         ;PUSH Bytes
CALL            7          ;CALL function
NOT             &_f7_retval_1 ;logical NOT
IF              &_NOT_1    ;   IF test
DUP             &_DUP_2    ;DUPlicate top stack element
DUP             &_DUP_1    ;DUPlicate top stack element
GC[orig]        &_DUP_1    ;Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;  SUBtract
ROUND[White]    &_SUB_1    ;ROUND value
DUP             &_ROUND_1  ;DUPlicate top stack element
IF              &_DUP_1    ;   IF test
DUP             &_DUP_2    ;DUPlicate top stack element
ABS             &_DUP_1    ;ABSolute value
DIV             &_ABS_1 &_DUP_2 ;    DIVide
SHPIX           &_DIV_1 &_DUP_2 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_2    ;POP top stack element
POP             &_arg_3    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
POP             &_arg_2    ;POP top stack element
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   13        ;PUSH Bytes
FDEF            13         ;Function DEFinition
SRP2            &_arg_1    ;Set Reference Point 2
SRP1            &_arg_2    ;Set Reference Point 1
DUP             &_arg_3    ;DUPlicate top stack element
DUP             &_DUP_1    ;DUPlicate top stack element
IP              &_DUP_1    ;Interpolate Point
MDAP[rnd]       &_DUP_2    ;Move Direct Absolute Point
DUP             &_DUP_2    ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_4 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
GC[orig]        &_DUP_1    ;Get Coordinate projected onto the projection vector
ROLL            &_GC_1 &_DUP_2 &_ROLL_2 ;ROLL the top three stack elements
GC[cur]         &_ROLL_1   ;Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_ROLL_2 ;  SUBtract
SWAP            &_SUB_1 &_ROLL_3 ;SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;SWAP the top two elements on the stack
MD[orig]        &_SWAP_1 &_SWAP_2 ;Measure Distance
                           #--- PUSHB_1   0         ;PUSH Bytes
LT              0 &_MD_1   ; Less Than
IF              &_LT_1     ;   IF test
SWAP            &_ROLL_3 &_ROLL_3 ;SWAP the top two elements on the stack
                           #--- PUSHB_1   0         ;PUSH Bytes
GT              0 &_SWAP_1 ;Greater Than
IF              &_GT_1     ;   IF test
                           #--- PUSHB_1   64        ;PUSH Bytes
SHPIX           64 &_SWAP_2 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_5    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
SWAP            &_arg_5 &_arg_6 ;SWAP the top two elements on the stack
                           #--- PUSHB_1   0         ;PUSH Bytes
LT              0 &_SWAP_1 ; Less Than
IF              &_LT_1     ;   IF test
                           #--- PUSHB_1   64        ;PUSH Bytes
NEG             64         ;    NEGate
SHPIX           &_NEG_1 &_SWAP_2 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_7    ;POP top stack element
EIF                        ;    End IF
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   14        ;PUSH Bytes
FDEF            14         ;Function DEFinition
                           #--- PUSHB_1   6         ;PUSH Bytes
CALL            6          ;CALL function
IF              &_f6_retval_1 ;   IF test
RTDG                       ;Round To Double Grid
MDRP[rp0,rnd,white] &_arg_1    ;Move Direct Relative Point
RTG                        ;Round To Grid
POP             &_arg_2    ;POP top stack element
POP             &_arg_3    ;POP top stack element
ELSE                       ;ELSE clause
DUP             &_arg_1    ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
ROLL            &_DUP_2 &_arg_2 &_arg_3 ;ROLL the top three stack elements
MPPEM                      ;Measure Pixels Per EM
GT              &_MPPEM_1 &_ROLL_1 ;Greater Than
IF              &_GT_1     ;   IF test
DUP             &_ROLL_2   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;SWAP the top two elements on the stack
MD[grid]        &_SWAP_1 &_SWAP_2 ;Measure Distance
DUP             &_MD_1     ;DUPlicate top stack element
                           #--- PUSHB_1   0         ;PUSH Bytes
NEQ             0 &_DUP_1  ; Not EQual
IF              &_NEQ_1    ;   IF test
SHPIX           &_DUP_2 &_ROLL_3 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_4    ;POP top stack element
POP             &_arg_5    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
POP             &_arg_4    ;POP top stack element
POP             &_arg_5    ;POP top stack element
EIF                        ;    End IF
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   15        ;PUSH Bytes
FDEF            15         ;Function DEFinition
SWAP            &_arg_1 &_arg_2 ;SWAP the top two elements on the stack
DUP             &_SWAP_1   ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
DUP             &_DUP_2    ;DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;Move Direct Absolute Point
                           #--- PUSHB_1   7         ;PUSH Bytes
CALL            7          ;CALL function
NOT             &_f7_retval_1 ;logical NOT
IF              &_NOT_1    ;   IF test
SWAP            &_DUP_2 &_SWAP_2 ;SWAP the top two elements on the stack
DUP             &_SWAP_1   ;DUPlicate top stack element
IF              &_DUP_1    ;   IF test
MPPEM                      ;Measure Pixels Per EM
GTEQ            &_MPPEM_1 &_DUP_2 ;Greater Than or EQual
ELSE                       ;ELSE clause
POP             &_GTEQ_1   ;POP top stack element
                           #--- PUSHB_1   1         ;PUSH Bytes
EIF                        ;    End IF
IF              &_GTEQ_1   ;   IF test
ROLL            &_SWAP_2 &_arg_3 &_arg_4 ;ROLL the top three stack elements
                           #--- PUSHB_1   4         ;PUSH Bytes
MINDEX          4          ;Move the INDEXed element to the top of the stack
MD[grid]        &_ROLL_1 &_ROLL_2 ;Measure Distance
SWAP            &_MD_1 &_ROLL_3 ;SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_arg_5 ;ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;SWAP the top two elements on the stack
DUP             &_SWAP_1   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_SWAP_2 ;ROLL the top three stack elements
MD[grid]        &_ROLL_1 &_ROLL_2 ;Measure Distance
ROLL            &_MD_1 &_ROLL_3 &_ROLL_3 ;ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;  SUBtract
SHPIX           &_SUB_1 &_ROLL_3 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_3    ;POP top stack element
POP             &_arg_4    ;POP top stack element
POP             &_arg_5    ;POP top stack element
POP             &_arg_6    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
POP             1          ;POP top stack element
POP             &_SWAP_2   ;POP top stack element
POP             &_arg_3    ;POP top stack element
POP             &_arg_4    ;POP top stack element
POP             &_arg_5    ;POP top stack element
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=5:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   16        ;PUSH Bytes
FDEF            16         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;Move Direct Relative Point
                           #--- PUSHB_1   18        ;PUSH Bytes
CALL            18 &_DUP_2 &_arg_2 ;CALL function
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   17        ;PUSH Bytes
FDEF            17         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;Move Direct Relative Point
                           #--- PUSHB_1   18        ;PUSH Bytes
CALL            18 &_DUP_2 &_arg_2 ;CALL function
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   18        ;PUSH Bytes
FDEF            18         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;Move Direct Absolute Point
                           #--- PUSHB_1   7         ;PUSH Bytes
CALL            7          ;CALL function
NOT             &_f7_retval_1 ;logical NOT
IF              &_NOT_1    ;   IF test
DUP             &_DUP_2    ;DUPlicate top stack element
DUP             &_DUP_1    ;DUPlicate top stack element
GC[orig]        &_DUP_1    ;Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;  SUBtract
ROUND[White]    &_SUB_1    ;ROUND value
ROLL            &_ROUND_1 &_DUP_2 &_arg_2 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
GC[orig]        &_DUP_1    ;Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_SWAP_2 ;SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;  SUBtract
ROUND[White]    &_SUB_1    ;ROUND value
ADD             &_ROUND_1 &_ROLL_2 ;       ADD
DUP             &_ADD_1    ;DUPlicate top stack element
IF              &_DUP_1    ;   IF test
DUP             &_DUP_2    ;DUPlicate top stack element
ABS             &_DUP_1    ;ABSolute value
DIV             &_ABS_1 &_DUP_2 ;    DIVide
SHPIX           &_DIV_1 &_ROLL_3 ;SHift point by a PIXel amount
ELSE                       ;ELSE clause
POP             &_arg_3    ;POP top stack element
POP             &_arg_4    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
POP             &_arg_2    ;POP top stack element
POP             &_arg_3    ;POP top stack element
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   19        ;PUSH Bytes
FDEF            19         ;Function DEFinition
DUP             &_arg_1    ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_2 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;ROLL the top three stack elements
SDPVTL[orthog]  &_ROLL_1 &_ROLL_2 ;Set Dual Projection Vector To Line
DUP             &_ROLL_3   ;DUPlicate top stack element
                           #--- PUSHB_1   3         ;PUSH Bytes
CINDEX          3          ;Copy the INDEXed element to the top of the stack
MD[orig]        &_CINDEX_1 &_DUP_1 ;Measure Distance
ABS             &_MD_1     ;ABSolute value
SWAP            &_ABS_1 &_DUP_2 ;SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;ROLL the top three stack elements
SPVTL[orthog]   &_ROLL_1 &_ROLL_2 ;Set Projection Vector To Line
                           #--- PUSHB_1   32        ;PUSH Bytes
LT              32 &_ROLL_3 ; Less Than
IF              &_LT_1     ;   IF test
ALIGNRP         &_arg_3    ;ALIGN to Reference Point
ELSE                       ;ELSE clause
MDRP[grey]      &_arg_3    ;Move Direct Relative Point
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   20        ;PUSH Bytes
FDEF            20         ;Function DEFinition
                           #--- PUSHB_4   0 64 1 64 ;PUSH Bytes
WS              64 1       ;Write Store
WS              64 0       ;Write Store
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;Measure Pixels Per EM
                           #--- PUSHW_1   4096      ;PUSH Words
MUL             4096 &_MPPEM_1 ;  MULtiply
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;Measure Pixels Per EM
                           #--- PUSHW_1   4096      ;PUSH Words
MUL             4096 &_MPPEM_1 ;  MULtiply
DUP             &_MUL_1    ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_MUL_1 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;ROLL the top three stack elements
NEQ             &_ROLL_1 &_ROLL_2 ; Not EQual
IF              &_NEQ_1    ;   IF test
DUP             &_ROLL_3   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;ROLL the top three stack elements
DUP             &_ROLL_1   ;DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;ROLL the top three stack elements
GT              &_ROLL_1 &_ROLL_2 ;Greater Than
IF              &_GT_1     ;   IF test
SWAP            &_ROLL_3 &_ROLL_3 ;SWAP the top two elements on the stack
DIV             &_SWAP_1 &_SWAP_2 ;    DIVide
DUP             &_DIV_1    ;DUPlicate top stack element
                           #--- PUSHB_1   0         ;PUSH Bytes
SWAP            0 &_DUP_1  ;SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;Write Store
ELSE                       ;ELSE clause
DIV             &_DUP_2 &_arg_1 ;    DIVide
DUP             &_DIV_1    ;DUPlicate top stack element
                           #--- PUSHB_1   1         ;PUSH Bytes
SWAP            1 &_DUP_1  ;SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;Write Store
EIF                        ;    End IF
DUP             &_DUP_2    ;DUPlicate top stack element
                           #--- PUSHB_1   64        ;PUSH Bytes
GT              64 &_DUP_1 ;Greater Than
IF              &_GT_1     ;   IF test
                           #--- PUSHB_3   0 32 0    ;PUSH Bytes
RS              0          ;Read Store
MUL             &_RS_1 32  ;  MULtiply
WS              &_MUL_1 0  ;Write Store
                           #--- PUSHB_3   1 32 1    ;PUSH Bytes
RS              1          ;Read Store
MUL             &_RS_1 32  ;  MULtiply
WS              &_MUL_1 1  ;Write Store
                           #--- PUSHB_1   32        ;PUSH Bytes
MUL             32 &_DUP_2 ;  MULtiply
                           #--- PUSHB_1   25        ;PUSH Bytes
NEG             25         ;    NEGate
JMPR            &_NEG_1    ;JuMP Relative
POP             &_MUL_1    ;POP top stack element
EIF                        ;    End IF
ELSE                       ;ELSE clause
POP             &_arg_1    ;POP top stack element
POP             &_arg_2    ;POP top stack element
EIF                        ;    End IF
ENDF                       ;END Function definition
#ARG_COUNT=0:
#RET_COUNT=0: 
#------------------

                           #--- PUSHB_1   21        ;PUSH Bytes
FDEF            21         ;Function DEFinition
                           #--- PUSHB_1   1         ;PUSH Bytes
RS              1          ;Read Store
MUL             &_RS_1 &_arg_1 ;  MULtiply
SWAP            &_MUL_1 &_arg_2 ;SWAP the top two elements on the stack
                           #--- PUSHB_1   0         ;PUSH Bytes
RS              0          ;Read Store
MUL             &_RS_1 &_SWAP_1 ;  MULtiply
SWAP            &_MUL_1 &_SWAP_2 ;SWAP the top two elements on the stack
ENDF                       ;END Function definition
#ARG_COUNT=2:
#RET_COUNT=2: &_SWAP_2 &_SWAP_1
#------------------
"""



pseudo_code_dict = {
    'A': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   0 0 0     ;PUSH Bytes
CALL            0 0 0      ;CALL function
                           #--- PUSHB_2   12 24     ;PUSH Bytes
SHP[rp1]        24         ;SHift Point using reference point
SHP[rp1]        12         ;SHift Point using reference point
                           #--- PUSHB_5   6 8 0 18 4 ;PUSH Bytes
CALL            4 18 0 8 6 ;CALL function
                           #--- PUSHB_2   18 30     ;PUSH Bytes
SHP[rp2]        30         ;SHift Point using reference point
SHP[rp2]        18         ;SHift Point using reference point
                           #--- PUSHB_3   0 0 0     ;PUSH Bytes
CALL            0 0 0      ;CALL function
                           #--- PUSHB_5   6 8 0 18 4 ;PUSH Bytes
CALL            4 18 0 8 6 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   36        ;PUSH Bytes
MDAP[rnd]       36         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   9 12 0 18 4 ;PUSH Bytes
CALL            4 18 0 12 9 ;CALL function
                           #--- PUSHB_1   9         ;PUSH Bytes
SRP0            9          ;Set Reference Point 0
                           #--- PUSHB_2   15 1      ;PUSH Bytes
CALL            1 15       ;CALL function
                           #--- PUSHB_5   21 12 0 18 4 ;PUSH Bytes
CALL            4 18 0 12 21 ;CALL function
                           #--- PUSHB_1   21        ;PUSH Bytes
SRP0            21         ;Set Reference Point 0
                           #--- PUSHB_2   27 1      ;PUSH Bytes
CALL            1 27       ;CALL function
                           #--- PUSHB_5   33 12 0 19 4 ;PUSH Bytes
CALL            4 19 0 12 33 ;CALL function
                           #--- PUSHB_2   37 1      ;PUSH Bytes
CALL            1 37       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'Oslash': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   1         ;PUSH Bytes
MDAP[rnd]       1          ;Move Direct Absolute Point
                           #--- PUSHB_5   2 8 0 31 4 ;PUSH Bytes
CALL            4 31 0 8 2 ;CALL function
                           #--- PUSHB_5   2 8 0 31 4 ;PUSH Bytes
CALL            4 31 0 8 2 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   4         ;PUSH Bytes
MDAP[rnd]       4          ;Move Direct Absolute Point
                           #--- PUSHB_2   5 1       ;PUSH Bytes
CALL            1 5        ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'dagger': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   24 3 0    ;PUSH Bytes
CALL            0 3 24     ;CALL function
                           #--- PUSHB_3   18 1 0    ;PUSH Bytes
CALL            0 1 18     ;CALL function
                           #--- PUSHB_1   30        ;PUSH Bytes
SHP[rp1]        30         ;SHift Point using reference point
                           #--- PUSHB_5   7 5 0 167 4 ;PUSH Bytes
CALL            4 167 0 5 7 ;CALL function
                           #--- PUSHB_1   41        ;PUSH Bytes
SHP[rp2]        41         ;SHift Point using reference point
                           #--- PUSHB_1   7         ;PUSH Bytes
SRP0            7          ;Set Reference Point 0
                           #--- PUSHB_4   23 7 10 14 ;PUSH Bytes
CALL            14 10 7 23 ;CALL function
                           #--- PUSHB_1   38        ;PUSH Bytes
SHP[rp1]        38         ;SHift Point using reference point
                           #--- PUSHB_5   15 8 0 23 4 ;PUSH Bytes
CALL            4 23 0 8 15 ;CALL function
                           #--- PUSHB_1   33        ;PUSH Bytes
SHP[rp2]        33         ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   46        ;PUSH Bytes
MDAP[rnd]       46         ;Move Direct Absolute Point
                           #--- PUSHB_1   1         ;PUSH Bytes
MDRP[rp0,rnd,white] 1          ;Move Direct Relative Point
                           #--- PUSHB_2   7 18      ;PUSH Bytes
SHP[rp2]        18         ;SHift Point using reference point
SHP[rp2]        7          ;SHift Point using reference point
                           #--- PUSHB_5   0 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 0 ;CALL function
                           #--- PUSHB_2   30 41     ;PUSH Bytes
SHP[rp2]        41         ;SHift Point using reference point
SHP[rp2]        30         ;SHift Point using reference point
                           #--- PUSHB_1   0         ;PUSH Bytes
SRP0            0          ;Set Reference Point 0
                           #--- PUSHB_4   22 0 27 14 ;PUSH Bytes
CALL            14 27 0 22 ;CALL function
                           #--- PUSHB_5   21 12 0 22 4 ;PUSH Bytes
CALL            4 22 0 12 21 ;CALL function
                           #--- PUSHB_1   21        ;PUSH Bytes
MDAP[rnd]       21         ;Move Direct Absolute Point
                           #--- PUSHB_5   27 12 0 22 4 ;PUSH Bytes
CALL            4 22 0 12 27 ;CALL function
                           #--- PUSHB_2   47 1      ;PUSH Bytes
CALL            1 47       ;CALL function
                           #--- PUSHB_2   0 1       ;PUSH Bytes
SRP1            1          ;Set Reference Point 1
SRP2            0          ;Set Reference Point 2
                           #--- PUSHB_1   24        ;PUSH Bytes
IP              24         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   7 10      ;PUSH Bytes
SRP1            10         ;Set Reference Point 1
SRP2            7          ;Set Reference Point 2
                           #--- PUSHB_1   36        ;PUSH Bytes
IP              36         ;Interpolate Point
                           #--- PUSHB_1   18        ;PUSH Bytes
SRP1            18         ;Set Reference Point 1
                           #--- PUSHB_1   12        ;PUSH Bytes
IP              12         ;Interpolate Point
                           #--- PUSHB_2   24 15     ;PUSH Bytes
SRP1            15         ;Set Reference Point 1
SRP2            24         ;Set Reference Point 2
                           #--- PUSHB_2   21 27     ;PUSH Bytes
IP              27         ;Interpolate Point
IP              21         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'daggerdbl': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   40 3 0    ;PUSH Bytes
CALL            0 3 40     ;CALL function
                           #--- PUSHB_3   34 1 0    ;PUSH Bytes
CALL            0 1 34     ;CALL function
                           #--- PUSHB_1   47        ;PUSH Bytes
SHP[rp1]        47         ;SHift Point using reference point
                           #--- PUSHB_5   23 5 0 167 4 ;PUSH Bytes
CALL            4 167 0 5 23 ;CALL function
                           #--- PUSHB_1   58        ;PUSH Bytes
SHP[rp2]        58         ;SHift Point using reference point
                           #--- PUSHB_1   23        ;PUSH Bytes
SRP0            23         ;Set Reference Point 0
                           #--- PUSHB_4   23 23 26 14 ;PUSH Bytes
CALL            14 26 23 23 ;CALL function
                           #--- PUSHB_1   55        ;PUSH Bytes
SHP[rp1]        55         ;SHift Point using reference point
                           #--- PUSHB_5   31 8 0 23 4 ;PUSH Bytes
CALL            4 23 0 8 31 ;CALL function
                           #--- PUSHB_1   50        ;PUSH Bytes
SHP[rp2]        50         ;SHift Point using reference point
                           #--- PUSHB_1   9         ;PUSH Bytes
MDAP[rnd]       9          ;Move Direct Absolute Point
                           #--- PUSHB_1   73        ;PUSH Bytes
SHP[rp1]        73         ;SHift Point using reference point
                           #--- PUSHB_5   15 8 0 23 4 ;PUSH Bytes
CALL            4 23 0 8 15 ;CALL function
                           #--- PUSHB_1   67        ;PUSH Bytes
SHP[rp2]        67         ;SHift Point using reference point
                           #--- PUSHB_4   18 15 9 8 ;PUSH Bytes
CALL            8 9 15 18  ;CALL function
                           #--- PUSHB_1   64        ;PUSH Bytes
SHP[rp1]        64         ;SHift Point using reference point
                           #--- PUSHB_5   6 5 0 167 4 ;PUSH Bytes
CALL            4 167 0 5 6 ;CALL function
                           #--- PUSHB_1   76        ;PUSH Bytes
SHP[rp2]        76         ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   83        ;PUSH Bytes
MDAP[rnd]       83         ;Move Direct Absolute Point
                           #--- PUSHB_1   6         ;PUSH Bytes
MDRP[rp0,rnd,white] 6          ;Move Direct Relative Point
                           #--- PUSHB_3   18 23 34  ;PUSH Bytes
SHP[rp2]        34         ;SHift Point using reference point
SHP[rp2]        23         ;SHift Point using reference point
SHP[rp2]        18         ;SHift Point using reference point
                           #--- PUSHB_5   76 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 76 ;CALL function
                           #--- PUSHB_3   47 58 64  ;PUSH Bytes
SHP[rp2]        64         ;SHift Point using reference point
SHP[rp2]        58         ;SHift Point using reference point
SHP[rp2]        47         ;SHift Point using reference point
                           #--- PUSHB_4   22 6 3 14 ;PUSH Bytes
CALL            14 3 6 22  ;CALL function
                           #--- PUSHB_1   37        ;PUSH Bytes
SHP[rp1]        37         ;SHift Point using reference point
                           #--- PUSHB_5   80 12 0 22 4 ;PUSH Bytes
CALL            4 22 0 12 80 ;CALL function
                           #--- PUSHB_1   43        ;PUSH Bytes
SHP[rp2]        43         ;SHift Point using reference point
                           #--- PUSHB_2   84 1      ;PUSH Bytes
CALL            1 84       ;CALL function
                           #--- PUSHB_2   76 6      ;PUSH Bytes
SRP1            6          ;Set Reference Point 1
SRP2            76         ;Set Reference Point 2
                           #--- PUSHB_3   0 22 40   ;PUSH Bytes
IP              40         ;Interpolate Point
IP              22         ;Interpolate Point
IP              0          ;Interpolate Point
                           #--- PUSHB_1   80        ;PUSH Bytes
SRP1            80         ;Set Reference Point 1
                           #--- PUSHB_1   45        ;PUSH Bytes
IP              45         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   18 6      ;PUSH Bytes
SRP1            6          ;Set Reference Point 1
SRP2            18         ;Set Reference Point 2
                           #--- PUSHB_2   12 70     ;PUSH Bytes
IP              70         ;Interpolate Point
IP              12         ;Interpolate Point
                           #--- PUSHB_2   26 15     ;PUSH Bytes
SRP1            15         ;Set Reference Point 1
SRP2            26         ;Set Reference Point 2
                           #--- PUSHB_2   21 61     ;PUSH Bytes
IP              61         ;Interpolate Point
IP              21         ;Interpolate Point
                           #--- PUSHB_1   23        ;PUSH Bytes
SRP1            23         ;Set Reference Point 1
                           #--- PUSHB_1   53        ;PUSH Bytes
IP              53         ;Interpolate Point
                           #--- PUSHB_1   34        ;PUSH Bytes
SRP2            34         ;Set Reference Point 2
                           #--- PUSHB_1   28        ;PUSH Bytes
IP              28         ;Interpolate Point
                           #--- PUSHB_2   40 31     ;PUSH Bytes
SRP1            31         ;Set Reference Point 1
SRP2            40         ;Set Reference Point 2
                           #--- PUSHB_2   37 45     ;PUSH Bytes
IP              45         ;Interpolate Point
IP              37         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'emdash': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   1         ;PUSH Bytes
MDAP[rnd]       1          ;Move Direct Absolute Point
                           #--- PUSHB_5   2 8 0 41 4 ;PUSH Bytes
CALL            4 41 0 8 2 ;CALL function
                           #--- PUSHB_5   2 8 0 41 4 ;PUSH Bytes
CALL            4 41 0 8 2 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   4         ;PUSH Bytes
MDAP[rnd]       4          ;Move Direct Absolute Point
                           #--- PUSHB_2   5 1       ;PUSH Bytes
CALL            1 5        ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'endash': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   1         ;PUSH Bytes
MDAP[rnd]       1          ;Move Direct Absolute Point
                           #--- PUSHB_5   2 8 0 41 4 ;PUSH Bytes
CALL            4 41 0 8 2 ;CALL function
                           #--- PUSHB_5   2 8 0 41 4 ;PUSH Bytes
CALL            4 41 0 8 2 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   4         ;PUSH Bytes
MDAP[rnd]       4          ;Move Direct Absolute Point
                           #--- PUSHB_2   5 1       ;PUSH Bytes
CALL            1 5        ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'florin': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   0 0 0     ;PUSH Bytes
CALL            0 0 0      ;CALL function
                           #--- PUSHB_2   46 8      ;PUSH Bytes
MIRP[min,black] cvt_8 46   ;Move Indirect Relative Point
                           #--- PUSHB_3   16 3 0    ;PUSH Bytes
CALL            0 3 16     ;CALL function
                           #--- PUSHB_1   22        ;PUSH Bytes
SHP[rp1]        22         ;SHift Point using reference point
                           #--- PUSHB_2   29 7      ;PUSH Bytes
MIRP[min,black] cvt_7 29   ;Move Indirect Relative Point
                           #--- PUSHB_5   4 5 0 16 13 ;PUSH Bytes
CALL            13 16 0 5 4 ;CALL function
                           #--- PUSHB_1   40        ;PUSH Bytes
SHP[rp1]        40         ;SHift Point using reference point
                           #--- PUSHB_5   4 8 0 49 4 ;PUSH Bytes
CALL            4 49 0 8 4 ;CALL function
                           #--- PUSHB_1   42        ;PUSH Bytes
SHP[rp2]        42         ;SHift Point using reference point
                           #--- PUSHB_5   12 11 0 16 13 ;PUSH Bytes
CALL            13 16 0 11 12 ;CALL function
                           #--- PUSHB_1   35        ;PUSH Bytes
SHP[rp1]        35         ;SHift Point using reference point
                           #--- PUSHB_5   12 8 0 49 4 ;PUSH Bytes
CALL            4 49 0 8 12 ;CALL function
                           #--- PUSHB_1   33        ;PUSH Bytes
SHP[rp2]        33         ;SHift Point using reference point
                           #--- PUSHB_4   25 0 16 8 ;PUSH Bytes
CALL            8 16 0 25  ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   53        ;PUSH Bytes
MDAP[rnd]       53         ;Move Direct Absolute Point
                           #--- PUSHB_1   8         ;PUSH Bytes
MDRP[rp0,rnd,white] 8          ;Move Direct Relative Point
                           #--- PUSHB_2   3 13      ;PUSH Bytes
SHP[rp2]        13         ;SHift Point using reference point
SHP[rp2]        3          ;SHift Point using reference point
                           #--- PUSHB_5   38 12 0 22 4 ;PUSH Bytes
CALL            4 22 0 12 38 ;CALL function
                           #--- PUSHB_2   33 43     ;PUSH Bytes
SHP[rp2]        43         ;SHift Point using reference point
SHP[rp2]        33         ;SHift Point using reference point
                           #--- PUSHB_2   54 1      ;PUSH Bytes
CALL            1 54       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   4 46      ;PUSH Bytes
SRP1            46         ;Set Reference Point 1
SRP2            4          ;Set Reference Point 2
                           #--- PUSHB_2   49 50     ;PUSH Bytes
IP              50         ;Interpolate Point
IP              49         ;Interpolate Point
                           #--- PUSHB_2   29 25     ;PUSH Bytes
SRP1            25         ;Set Reference Point 1
SRP2            29         ;Set Reference Point 2
                           #--- PUSHB_1   20        ;PUSH Bytes
IP              20         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'guilsinglleft': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   27        ;PUSH Bytes
MDAP[rnd]       27         ;Move Direct Absolute Point
                           #--- PUSHB_1   5         ;PUSH Bytes
MDRP[rp0,rnd,white] 5          ;Move Direct Relative Point
                           #--- PUSHB_5   25 12 0 9 4 ;PUSH Bytes
CALL            4 9 0 12 25 ;CALL function
                           #--- PUSHB_2   28 1      ;PUSH Bytes
CALL            1 28       ;CALL function
                           #--- PUSHB_2   25 5      ;PUSH Bytes
SRP1            5          ;Set Reference Point 1
SRP2            25         ;Set Reference Point 2
                           #--- PUSHB_2   17 21     ;PUSH Bytes
IP              21         ;Interpolate Point
IP              17         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'guilsinglright': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   18        ;PUSH Bytes
MDAP[rnd]       18         ;Move Direct Absolute Point
                           #--- PUSHB_1   2         ;PUSH Bytes
MDRP[rp0,rnd,white] 2          ;Move Direct Relative Point
                           #--- PUSHB_1   7         ;PUSH Bytes
SHP[rp2]        7          ;SHift Point using reference point
                           #--- PUSHB_5   13 12 0 9 4 ;PUSH Bytes
CALL            4 9 0 12 13 ;CALL function
                           #--- PUSHB_2   19 1      ;PUSH Bytes
CALL            1 19       ;CALL function
                           #--- PUSHB_2   13 2      ;PUSH Bytes
SRP1            2          ;Set Reference Point 1
SRP2            13         ;Set Reference Point 2
                           #--- PUSHB_1   4         ;PUSH Bytes
IP              4          ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'multiply': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   20 3 0    ;PUSH Bytes
CALL            0 3 20     ;CALL function
                           #--- PUSHB_1   46        ;PUSH Bytes
MDAP[rnd]       46         ;Move Direct Absolute Point
                           #--- PUSHB_2   0 72      ;PUSH Bytes
SHP[rp1]        72         ;SHift Point using reference point
SHP[rp1]        0          ;SHift Point using reference point
                           #--- PUSHB_2   58 7      ;PUSH Bytes
MIRP[min,black] cvt_7 58   ;Move Indirect Relative Point
                           #--- PUSHB_1   84        ;PUSH Bytes
SHP[rp2]        84         ;SHift Point using reference point
                           #--- PUSHB_1   64        ;PUSH Bytes
MDAP[rnd]       64         ;Move Direct Absolute Point
                           #--- PUSHB_1   90        ;PUSH Bytes
SHP[rp1]        90         ;SHift Point using reference point
                           #--- PUSHB_2   52 7      ;PUSH Bytes
MIRP[min,black] cvt_7 52   ;Move Indirect Relative Point
                           #--- PUSHB_1   78        ;PUSH Bytes
SHP[rp2]        78         ;SHift Point using reference point
                           #--- PUSHB_4   14 52 64 8 ;PUSH Bytes
CALL            8 64 52 14 ;CALL function
                           #--- PUSHB_2   38 7      ;PUSH Bytes
MIRP[min,black] cvt_7 38   ;Move Indirect Relative Point
                           #--- PUSHB_1   5         ;PUSH Bytes
MDAP[rnd]       5          ;Move Direct Absolute Point
                           #--- PUSHB_2   25 7      ;PUSH Bytes
MIRP[min,black] cvt_7 25   ;Move Indirect Relative Point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   97        ;PUSH Bytes
MDAP[rnd]       97         ;Move Direct Absolute Point
                           #--- PUSHB_1   17        ;PUSH Bytes
MDRP[rp0,rnd,white] 17         ;Move Direct Relative Point
                           #--- PUSHB_2   35 12     ;PUSH Bytes
MIRP[min,black] cvt_12 35  ;Move Indirect Relative Point
                           #--- PUSHB_1   35        ;PUSH Bytes
SRP0            35         ;Set Reference Point 0
                           #--- PUSHB_2   41 1      ;PUSH Bytes
CALL            1 41       ;CALL function
                           #--- PUSHB_5   9 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 9 ;CALL function
                           #--- PUSHB_1   9         ;PUSH Bytes
SRP0            9          ;Set Reference Point 0
                           #--- PUSHB_2   49 1      ;PUSH Bytes
CALL            1 49       ;CALL function
                           #--- PUSHB_2   69 12     ;PUSH Bytes
MIRP[min,black] cvt_12 69  ;Move Indirect Relative Point
                           #--- PUSHB_1   69        ;PUSH Bytes
SRP0            69         ;Set Reference Point 0
                           #--- PUSHB_2   61 1      ;PUSH Bytes
CALL            1 61       ;CALL function
                           #--- PUSHB_5   55 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 55 ;CALL function
                           #--- PUSHB_1   55        ;PUSH Bytes
SRP0            55         ;Set Reference Point 0
                           #--- PUSHB_2   75 1      ;PUSH Bytes
CALL            1 75       ;CALL function
                           #--- PUSHB_2   94 12     ;PUSH Bytes
MIRP[min,black] cvt_12 94  ;Move Indirect Relative Point
                           #--- PUSHB_1   94        ;PUSH Bytes
SRP0            94         ;Set Reference Point 0
                           #--- PUSHB_2   87 1      ;PUSH Bytes
CALL            1 87       ;CALL function
                           #--- PUSHB_5   81 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 81 ;CALL function
                           #--- PUSHB_2   98 1      ;PUSH Bytes
CALL            1 98       ;CALL function
                           #--- PUSHB_2   41 35     ;PUSH Bytes
SRP1            35         ;Set Reference Point 1
SRP2            41         ;Set Reference Point 2
                           #--- PUSHB_4   0 14 20 1 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              1 20 14 0  ;Interpolate Point
                           #--- PUSHB_1   9         ;PUSH Bytes
SRP1            9          ;Set Reference Point 1
                           #--- PUSHB_2   7 23      ;PUSH Bytes
IP              23         ;Interpolate Point
IP              7          ;Interpolate Point
                           #--- PUSHB_2   69 49     ;PUSH Bytes
SRP1            49         ;Set Reference Point 1
SRP2            69         ;Set Reference Point 2
                           #--- PUSHB_2   25 5      ;PUSH Bytes
IP              5          ;Interpolate Point
IP              25         ;Interpolate Point
                           #--- PUSHB_1   61        ;PUSH Bytes
SRP1            61         ;Set Reference Point 1
                           #--- PUSHB_5   28 29 46 52 2 ;PUSH Bytes
                           #--- DEPTH     #5        ;DEPTH of the stack
SLOOP           5          ;Set LOOP variable
IP              2 52 46 29 28 ;Interpolate Point
                           #--- PUSHB_2   87 94     ;PUSH Bytes
SRP1            94         ;Set Reference Point 1
SRP2            87         ;Set Reference Point 2
                           #--- PUSHB_2   72 78     ;PUSH Bytes
IP              78         ;Interpolate Point
IP              72         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   64 58     ;PUSH Bytes
SRP1            58         ;Set Reference Point 1
SRP2            64         ;Set Reference Point 2
                           #--- PUSHB_4   55 49 75 81 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              81 75 49 55 ;Interpolate Point
                           #--- PUSHB_2   5 38      ;PUSH Bytes
SRP1            38         ;Set Reference Point 1
SRP2            5          ;Set Reference Point 2
                           #--- PUSHB_4   9 17 35 41 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              41 35 17 9 ;Interpolate Point
                           #--- PUSHB_1   25        ;PUSH Bytes
SRP1            25         ;Set Reference Point 1
                           #--- PUSHB_1   7         ;PUSH Bytes
IP              7          ;Interpolate Point
                           #--- PUSHB_1   20        ;PUSH Bytes
SRP2            20         ;Set Reference Point 2
                           #--- PUSHB_3   2 30 44   ;PUSH Bytes
IP              44         ;Interpolate Point
IP              30         ;Interpolate Point
IP              2          ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'quotedblbase': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   5 0 0     ;PUSH Bytes
CALL            0 0 5      ;CALL function
                           #--- PUSHB_3   9 26 29   ;PUSH Bytes
SHP[rp1]        29         ;SHift Point using reference point
SHP[rp1]        26         ;SHift Point using reference point
SHP[rp1]        9          ;SHift Point using reference point
                           #--- PUSHB_5   15 8 0 20 4 ;PUSH Bytes
CALL            4 20 0 8 15 ;CALL function
                           #--- PUSHB_1   35        ;PUSH Bytes
SHP[rp2]        35         ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   41        ;PUSH Bytes
MDAP[rnd]       41         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   18 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 18 ;CALL function
                           #--- PUSHB_3   3 18 10   ;PUSH Bytes
CALL            10 18 3    ;CALL function
                           #--- PUSHB_4   0 3 12 9  ;PUSH Bytes
CALL            9 12 3 0   ;CALL function
                           #--- PUSHB_1   18        ;PUSH Bytes
SRP0            18         ;Set Reference Point 0
                           #--- PUSHB_2   24 1      ;PUSH Bytes
CALL            1 24       ;CALL function
                           #--- PUSHB_5   38 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 38 ;CALL function
                           #--- PUSHB_3   24 38 10  ;PUSH Bytes
CALL            10 38 24   ;CALL function
                           #--- PUSHB_4   0 24 32 9 ;PUSH Bytes
CALL            9 32 24 0  ;CALL function
                           #--- PUSHB_2   42 1      ;PUSH Bytes
CALL            1 42       ;CALL function
                           #--- PUSHB_2   24 18     ;PUSH Bytes
SRP1            18         ;Set Reference Point 1
SRP2            24         ;Set Reference Point 2
                           #--- PUSHB_2   21 22     ;PUSH Bytes
IP              22         ;Interpolate Point
IP              21         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   15 5      ;PUSH Bytes
SRP1            5          ;Set Reference Point 1
SRP2            15         ;Set Reference Point 2
                           #--- PUSHB_4   12 18 32 38 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              38 32 18 12 ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'quotedblleft': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   0         ;PUSH Bytes
MDAP[rnd]       0          ;Move Direct Absolute Point
                           #--- PUSHB_5   6 8 0 8 4 ;PUSH Bytes
CALL            4 8 0 8 6  ;CALL function
                           #--- PUSHB_5   6 8 0 8 4 ;PUSH Bytes
CALL            4 8 0 8 6  ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   12        ;PUSH Bytes
MDAP[rnd]       12         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   9 12 0 8 4 ;PUSH Bytes
CALL            4 8 0 12 9 ;CALL function
                           #--- PUSHB_5   9 12 0 8 4 ;PUSH Bytes
CALL            4 8 0 12 9 ;CALL function
                           #--- PUSHB_2   13 1      ;PUSH Bytes
CALL            1 13       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'quoteright': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   16 3 0    ;PUSH Bytes
CALL            0 3 16     ;CALL function
                           #--- PUSHB_5   6 8 0 20 4 ;PUSH Bytes
CALL            4 20 0 8 6 ;CALL function
                           #--- PUSHB_1   10        ;PUSH Bytes
SHP[rp2]        10         ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   22        ;PUSH Bytes
MDAP[rnd]       22         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   19 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 19 ;CALL function
                           #--- PUSHB_3   3 19 10   ;PUSH Bytes
CALL            10 19 3    ;CALL function
                           #--- PUSHB_4   0 3 13 9  ;PUSH Bytes
CALL            9 13 3 0   ;CALL function
                           #--- PUSHB_2   23 1      ;PUSH Bytes
CALL            1 23       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   16 6      ;PUSH Bytes
SRP1            6          ;Set Reference Point 1
SRP2            16         ;Set Reference Point 2
                           #--- PUSHB_2   13 19     ;PUSH Bytes
IP              19         ;Interpolate Point
IP              13         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'quotesinglbase': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   5 0 0     ;PUSH Bytes
CALL            0 0 5      ;CALL function
                           #--- PUSHB_1   9         ;PUSH Bytes
SHP[rp1]        9          ;SHift Point using reference point
                           #--- PUSHB_5   15 8 0 20 4 ;PUSH Bytes
CALL            4 20 0 8 15 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   21        ;PUSH Bytes
MDAP[rnd]       21         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   18 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 18 ;CALL function
                           #--- PUSHB_3   3 18 10   ;PUSH Bytes
CALL            10 18 3    ;CALL function
                           #--- PUSHB_4   0 3 12 9  ;PUSH Bytes
CALL            9 12 3 0   ;CALL function
                           #--- PUSHB_2   22 1      ;PUSH Bytes
CALL            1 22       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   15 5      ;PUSH Bytes
SRP1            5          ;Set Reference Point 1
SRP2            15         ;Set Reference Point 2
                           #--- PUSHB_2   12 18     ;PUSH Bytes
IP              18         ;Interpolate Point
IP              12         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'trademark': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   12 3 0    ;PUSH Bytes
CALL            0 3 12     ;CALL function
                           #--- PUSHB_2   47 50     ;PUSH Bytes
SHP[rp1]        50         ;SHift Point using reference point
SHP[rp1]        47         ;SHift Point using reference point
                           #--- PUSHB_2   7 5       ;PUSH Bytes
MIRP[min,black] vheight_b 7 ;Move Indirect Relative Point
                           #--- PUSHB_3   18 46 52  ;PUSH Bytes
SHP[rp2]        52         ;SHift Point using reference point
SHP[rp2]        46         ;SHift Point using reference point
SHP[rp2]        18         ;SHift Point using reference point
                           #--- PUSHB_3   12 3 0    ;PUSH Bytes
CALL            0 3 12     ;CALL function
                           #--- PUSHB_5   11 8 0 23 4 ;PUSH Bytes
CALL            4 23 0 8 11 ;CALL function
                           #--- PUSHB_1   14        ;PUSH Bytes
SHP[rp2]        14         ;SHift Point using reference point
                           #--- PUSHB_1   1         ;PUSH Bytes
MDAP[rnd]       1          ;Move Direct Absolute Point
                           #--- PUSHB_3   24 31 38  ;PUSH Bytes
SHP[rp1]        38         ;SHift Point using reference point
SHP[rp1]        31         ;SHift Point using reference point
SHP[rp1]        24         ;SHift Point using reference point
                           #--- PUSHB_2   2 5       ;PUSH Bytes
MIRP[min,black] vheight_b 2 ;Move Indirect Relative Point
                           #--- PUSHB_5   23 26 37 40 59 ;PUSH Bytes
                           #--- DEPTH     #5        ;DEPTH of the stack
SLOOP           5          ;Set LOOP variable
SHP[rp2]        59 40 37 26 23 ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   60        ;PUSH Bytes
MDAP[rnd]       60         ;Move Direct Absolute Point
                           #--- PUSHB_1   11        ;PUSH Bytes
MDRP[rp0,rnd,white] 11         ;Move Direct Relative Point
                           #--- PUSHB_5   10 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 10 ;CALL function
                           #--- PUSHB_1   10        ;PUSH Bytes
SRP0            10         ;Set Reference Point 0
                           #--- PUSHB_2   5 1       ;PUSH Bytes
CALL            1 5        ;CALL function
                           #--- PUSHB_2   20 12     ;PUSH Bytes
MIRP[min,black] cvt_12 20  ;Move Indirect Relative Point
                           #--- PUSHB_3   20 5 10   ;PUSH Bytes
CALL            10 5 20    ;CALL function
                           #--- PUSHB_4   64 20 0 9 ;PUSH Bytes
CALL            9 0 20 64  ;CALL function
                           #--- PUSHB_3   5 20 10   ;PUSH Bytes
CALL            10 20 5    ;CALL function
                           #--- PUSHB_4   64 5 1 9  ;PUSH Bytes
CALL            9 1 5 64   ;CALL function
                           #--- PUSHB_1   20        ;PUSH Bytes
SRP0            20         ;Set Reference Point 0
                           #--- PUSHB_2   15 1      ;PUSH Bytes
CALL            1 15       ;CALL function
                           #--- PUSHB_5   14 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 14 ;CALL function
                           #--- PUSHB_1   14        ;PUSH Bytes
SRP0            14         ;Set Reference Point 0
                           #--- PUSHB_2   43 1      ;PUSH Bytes
CALL            1 43       ;CALL function
                           #--- PUSHB_5   34 9 0 29 4 ;PUSH Bytes
CALL            4 29 0 9 34 ;CALL function
                           #--- PUSHB_3   34 43 10  ;PUSH Bytes
CALL            10 43 34   ;CALL function
                           #--- PUSHB_4   64 34 38 9 ;PUSH Bytes
CALL            9 38 34 64 ;CALL function
                           #--- PUSHB_3   43 34 10  ;PUSH Bytes
CALL            10 34 43   ;CALL function
                           #--- PUSHB_4   64 43 39 9 ;PUSH Bytes
CALL            9 39 43 64 ;CALL function
                           #--- PUSHB_4   64 43 47 9 ;PUSH Bytes
CALL            9 47 43 64 ;CALL function
                           #--- PUSHB_1   34        ;PUSH Bytes
SRP0            34         ;Set Reference Point 0
                           #--- PUSHB_2   29 1      ;PUSH Bytes
CALL            1 29       ;CALL function
                           #--- PUSHB_2   56 12     ;PUSH Bytes
MIRP[min,black] cvt_12 56  ;Move Indirect Relative Point
                           #--- PUSHB_3   56 29 10  ;PUSH Bytes
CALL            10 29 56   ;CALL function
                           #--- PUSHB_4   64 56 24 9 ;PUSH Bytes
CALL            9 24 56 64 ;CALL function
                           #--- PUSHB_1   51        ;PUSH Bytes
SHP[rp2]        51         ;SHift Point using reference point
                           #--- PUSHB_3   29 56 10  ;PUSH Bytes
CALL            10 56 29   ;CALL function
                           #--- PUSHB_4   64 29 25 9 ;PUSH Bytes
CALL            9 25 29 64 ;CALL function
                           #--- PUSHB_2   61 1      ;PUSH Bytes
CALL            1 61       ;CALL function
                           #--- PUSHB_2   29 34     ;PUSH Bytes
SRP1            34         ;Set Reference Point 1
SRP2            29         ;Set Reference Point 2
                           #--- PUSHB_2   48 49     ;PUSH Bytes
IP              49         ;Interpolate Point
IP              48         ;Interpolate Point
                           #--- PUSHB_1   56        ;PUSH Bytes
SRP1            56         ;Set Reference Point 1
                           #--- PUSHB_1   50        ;PUSH Bytes
IP              50         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   11 2      ;PUSH Bytes
SRP1            2          ;Set Reference Point 1
SRP2            11         ;Set Reference Point 2
                           #--- PUSHB_3   30 33 49  ;PUSH Bytes
IP              49         ;Interpolate Point
IP              33         ;Interpolate Point
IP              30         ;Interpolate Point
                           #--- PUSHB_1   7         ;PUSH Bytes
SRP1            7          ;Set Reference Point 1
                           #--- PUSHB_1   44        ;PUSH Bytes
IP              44         ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'uni0E01': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   107 2 0   ;PUSH Bytes
CALL            0 2 107    ;CALL function
                           #--- PUSHB_2   111 8     ;PUSH Bytes
MIRP[min,black] cvt_8 111  ;Move Indirect Relative Point
                           #--- PUSHB_4   10 107 111 8 ;PUSH Bytes
CALL            8 111 107 10 ;CALL function
                           #--- PUSHB_2   15 8      ;PUSH Bytes
MIRP[min,black] cvt_8 15   ;Move Indirect Relative Point
                           #--- PUSHB_1   101       ;PUSH Bytes
MDAP[rnd]       101        ;Move Direct Absolute Point
                           #--- PUSHB_2   96 8      ;PUSH Bytes
MIRP[min,black] cvt_8 96   ;Move Indirect Relative Point
                           #--- PUSHB_1   26        ;PUSH Bytes
MDAP[rnd]       26         ;Move Direct Absolute Point
                           #--- PUSHB_2   21 8      ;PUSH Bytes
MIRP[min,black] cvt_8 21   ;Move Indirect Relative Point
                           #--- PUSHB_1   45        ;PUSH Bytes
DUP             45         ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
SRP1            &_DUP_2    ;Set Reference Point 1
                           #--- PUSHB_2   39 8      ;PUSH Bytes
MIRP[min,black] cvt_8 39   ;Move Indirect Relative Point
                           #--- PUSHB_1   34        ;PUSH Bytes
MDAP[rnd]       34         ;Move Direct Absolute Point
                           #--- PUSHB_2   31 8      ;PUSH Bytes
MIRP[min,black] cvt_8 31   ;Move Indirect Relative Point
                           #--- PUSHB_1   31        ;PUSH Bytes
SRP0            31         ;Set Reference Point 0
                           #--- PUSHB_1   50        ;PUSH Bytes
DUP             50         ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
SRP1            &_DUP_2    ;Set Reference Point 1
                           #--- PUSHB_2   54 8      ;PUSH Bytes
MIRP[min,black] cvt_8 54   ;Move Indirect Relative Point
                           #--- PUSHB_1   92        ;PUSH Bytes
MDAP[rnd]       92         ;Move Direct Absolute Point
                           #--- PUSHB_1   82        ;PUSH Bytes
SHP[rp1]        82         ;SHift Point using reference point
                           #--- PUSHB_2   87 8      ;PUSH Bytes
MIRP[min,black] cvt_8 87   ;Move Indirect Relative Point
                           #--- PUSHB_1   77        ;PUSH Bytes
SHP[rp2]        77         ;SHift Point using reference point
                           #--- PUSHB_1   62        ;PUSH Bytes
MDAP[rnd]       62         ;Move Direct Absolute Point
                           #--- PUSHB_2   58 8      ;PUSH Bytes
MIRP[min,black] cvt_8 58   ;Move Indirect Relative Point
                           #--- PUSHB_1   72        ;PUSH Bytes
MDAP[rnd]       72         ;Move Direct Absolute Point
                           #--- PUSHB_2   66 8      ;PUSH Bytes
MIRP[min,black] cvt_8 66   ;Move Indirect Relative Point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   115       ;PUSH Bytes
MDAP[rnd]       115        ;Move Direct Absolute Point
                           #--- PUSHB_1   94        ;PUSH Bytes
MDRP[rp0,rnd,white] 94         ;Move Direct Relative Point
                           #--- PUSHB_5   89 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 89 ;CALL function
                           #--- PUSHB_1   89        ;PUSH Bytes
SRP0            89         ;Set Reference Point 0
                           #--- PUSHB_2   37 11     ;PUSH Bytes
CALL            11 37      ;CALL function
                           #--- PUSHB_5   33 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 33 ;CALL function
                           #--- PUSHB_1   8         ;PUSH Bytes
DUP             8          ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
SRP1            &_DUP_2    ;Set Reference Point 1
                           #--- PUSHB_5   3 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 3 ;CALL function
                           #--- PUSHB_1   33        ;PUSH Bytes
SRP0            33         ;Set Reference Point 0
                           #--- PUSHB_2   29 1      ;PUSH Bytes
CALL            1 29       ;CALL function
                           #--- PUSHB_5   23 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 23 ;CALL function
                           #--- PUSHB_1   17        ;PUSH Bytes
DUP             17         ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
SRP1            &_DUP_2    ;Set Reference Point 1
                           #--- PUSHB_5   12 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 12 ;CALL function
                           #--- PUSHB_1   23        ;PUSH Bytes
SRP0            23         ;Set Reference Point 0
                           #--- PUSHB_2   104 1     ;PUSH Bytes
CALL            1 104      ;CALL function
                           #--- PUSHB_1   113       ;PUSH Bytes
SHP[rp2]        113        ;SHift Point using reference point
                           #--- PUSHB_5   99 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 99 ;CALL function
                           #--- PUSHB_1   109       ;PUSH Bytes
SHP[rp2]        109        ;SHift Point using reference point
                           #--- PUSHB_1   99        ;PUSH Bytes
SRP0            99         ;Set Reference Point 0
                           #--- PUSHB_2   47 1      ;PUSH Bytes
CALL            1 47       ;CALL function
                           #--- PUSHB_5   42 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 42 ;CALL function
                           #--- PUSHB_1   42        ;PUSH Bytes
SRP0            42         ;Set Reference Point 0
                           #--- PUSHB_1   69        ;PUSH Bytes
DUP             69         ;DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;Move Direct Relative Point
SRP1            &_DUP_2    ;Set Reference Point 1
                           #--- PUSHB_5   75 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 75 ;CALL function
                           #--- PUSHB_1   75        ;PUSH Bytes
MDAP[rnd]       75         ;Move Direct Absolute Point
                           #--- PUSHB_5   69 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 69 ;CALL function
                           #--- PUSHB_1   42        ;PUSH Bytes
SRP0            42         ;Set Reference Point 0
                           #--- PUSHB_2   56 1      ;PUSH Bytes
CALL            1 56       ;CALL function
                           #--- PUSHB_1   64        ;PUSH Bytes
SHP[rp2]        64         ;SHift Point using reference point
                           #--- PUSHB_5   52 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 52 ;CALL function
                           #--- PUSHB_1   60        ;PUSH Bytes
SHP[rp2]        60         ;SHift Point using reference point
                           #--- PUSHB_4   85 52 56 8 ;PUSH Bytes
CALL            8 56 52 85 ;CALL function
                           #--- PUSHB_5   80 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 80 ;CALL function
                           #--- PUSHB_2   116 1     ;PUSH Bytes
CALL            1 116      ;CALL function
                           #--- PUSHB_2   33 8      ;PUSH Bytes
SRP1            8          ;Set Reference Point 1
SRP2            33         ;Set Reference Point 2
                           #--- PUSHB_4   1 6 31 34 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              34 31 6 1  ;Interpolate Point
                           #--- PUSHB_2   23 17     ;PUSH Bytes
SRP1            17         ;Set Reference Point 1
SRP2            23         ;Set Reference Point 2
                           #--- PUSHB_4   15 10 20 26 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              26 20 10 15 ;Interpolate Point
                           #--- PUSHB_2   99 104    ;PUSH Bytes
SRP1            104        ;Set Reference Point 1
SRP2            99         ;Set Reference Point 2
                           #--- PUSHB_2   106 111   ;PUSH Bytes
IP              111        ;Interpolate Point
IP              106        ;Interpolate Point
                           #--- PUSHB_2   69 47     ;PUSH Bytes
SRP1            47         ;Set Reference Point 1
SRP2            69         ;Set Reference Point 2
                           #--- PUSHB_4   45 39 66 72 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              72 66 39 45 ;Interpolate Point
                           #--- PUSHB_2   80 52     ;PUSH Bytes
SRP1            52         ;Set Reference Point 1
SRP2            80         ;Set Reference Point 2
                           #--- PUSHB_2   77 82     ;PUSH Bytes
IP              82         ;Interpolate Point
IP              77         ;Interpolate Point
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   21 45     ;PUSH Bytes
SRP1            45         ;Set Reference Point 1
SRP2            21         ;Set Reference Point 2
                           #--- PUSHB_4   23 29 42 47 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              47 42 29 23 ;Interpolate Point
                           #--- PUSHB_2   31 54     ;PUSH Bytes
SRP1            54         ;Set Reference Point 1
SRP2            31         ;Set Reference Point 2
                           #--- PUSHB_3   37 52 56  ;PUSH Bytes
IP              56         ;Interpolate Point
IP              52         ;Interpolate Point
IP              37         ;Interpolate Point
                           #--- PUSHB_2   87 92     ;PUSH Bytes
SRP1            92         ;Set Reference Point 1
SRP2            87         ;Set Reference Point 2
                           #--- PUSHB_2   80 85     ;PUSH Bytes
IP              85         ;Interpolate Point
IP              80         ;Interpolate Point
                           #--- PUSHB_1   62        ;PUSH Bytes
SRP1            62         ;Set Reference Point 1
                           #--- PUSHB_2   5 6       ;PUSH Bytes
IP              6          ;Interpolate Point
IP              5          ;Interpolate Point
                           #--- PUSHB_1   58        ;PUSH Bytes
SRP2            58         ;Set Reference Point 2
                           #--- PUSHB_3   0 60 64   ;PUSH Bytes
IP              64         ;Interpolate Point
IP              60         ;Interpolate Point
IP              0          ;Interpolate Point
                           #--- PUSHB_1   72        ;PUSH Bytes
SRP1            72         ;Set Reference Point 1
                           #--- PUSHB_1   1         ;PUSH Bytes
IP              1          ;Interpolate Point
                           #--- PUSHB_2   66 15     ;PUSH Bytes
SRP1            15         ;Set Reference Point 1
SRP2            66         ;Set Reference Point 2
                           #--- PUSHB_4   12 17 69 75 ;PUSH Bytes
                           #--- DEPTH     #4        ;DEPTH of the stack
SLOOP           4          ;Set LOOP variable
IP              75 69 17 12 ;Interpolate Point
                           #--- PUSHB_2   107 10    ;PUSH Bytes
SRP1            10         ;Set Reference Point 1
SRP2            107        ;Set Reference Point 2
                           #--- PUSHB_2   109 114   ;PUSH Bytes
IP              114        ;Interpolate Point
IP              109        ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'uni0E0D.winxp': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   6 3 0     ;PUSH Bytes
CALL            0 3 6      ;CALL function
                           #--- PUSHB_1   0         ;PUSH Bytes
MDAP[rnd]       0          ;Move Direct Absolute Point
                           #--- PUSHB_5   14 8 0 19 4 ;PUSH Bytes
CALL            4 19 0 8 14 ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   20        ;PUSH Bytes
MDAP[rnd]       20         ;Move Direct Absolute Point
                           #--- PUSHB_1   3         ;PUSH Bytes
MDRP[rp0,rnd,white] 3          ;Move Direct Relative Point
                           #--- PUSHB_5   9 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 9 ;CALL function
                           #--- PUSHB_3   9 3 10    ;PUSH Bytes
CALL            10 3 9     ;CALL function
                           #--- PUSHB_4   0 9 17 9  ;PUSH Bytes
CALL            9 17 9 0   ;CALL function
                           #--- PUSHB_2   21 1      ;PUSH Bytes
CALL            1 21       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_2   14 0      ;PUSH Bytes
SRP1            0          ;Set Reference Point 1
SRP2            14         ;Set Reference Point 2
                           #--- PUSHB_1   3         ;PUSH Bytes
IP              3          ;Interpolate Point
                           #--- PUSHB_1   6         ;PUSH Bytes
SRP1            6          ;Set Reference Point 1
                           #--- PUSHB_1   9         ;PUSH Bytes
IP              9          ;Interpolate Point
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'uni0E3F': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   1 0 0     ;PUSH Bytes
CALL            0 0 1      ;CALL function
                           #--- PUSHB_3   2 3 0     ;PUSH Bytes
CALL            0 3 2      ;CALL function
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   4         ;PUSH Bytes
MDAP[rnd]       4          ;Move Direct Absolute Point
                           #--- PUSHB_2   5 1       ;PUSH Bytes
CALL            1 5        ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

    'uni2002': """

""",

    'uni2423': """
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_3   1 0 0     ;PUSH Bytes
CALL            0 0 1      ;CALL function
                           #--- PUSHB_2   6 8       ;PUSH Bytes
MIRP[min,black] cvt_8 6    ;Move Indirect Relative Point
                           #--- PUSHB_3   6 1 10    ;PUSH Bytes
CALL            10 1 6     ;CALL function
                           #--- PUSHB_4   64 6 2 9  ;PUSH Bytes
CALL            9 2 6 64   ;CALL function
                           #--- PUSHB_1   10        ;PUSH Bytes
SHP[rp2]        10         ;SHift Point using reference point
SVTCA[x-axis]              ;Set freedom and projection Vectors To Coordinate Axis
                           #--- PUSHB_1   12        ;PUSH Bytes
MDAP[rnd]       12         ;Move Direct Absolute Point
                           #--- PUSHB_1   1         ;PUSH Bytes
MDRP[rp0,rnd,white] 1          ;Move Direct Relative Point
                           #--- PUSHB_5   4 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 4 ;CALL function
                           #--- PUSHB_1   4         ;PUSH Bytes
SRP0            4          ;Set Reference Point 0
                           #--- PUSHB_2   9 1       ;PUSH Bytes
CALL            1 9        ;CALL function
                           #--- PUSHB_5   0 9 0 48 4 ;PUSH Bytes
CALL            4 48 0 9 0 ;CALL function
                           #--- PUSHB_2   13 1      ;PUSH Bytes
CALL            1 13       ;CALL function
SVTCA[y-axis]              ;Set freedom and projection Vectors To Coordinate Axis
IUP[y]                     ;Interpolate Untouched Points through the outline
IUP[x]                     ;Interpolate Untouched Points through the outline
""",

}
